Skip to main content
GET
/
?module=account&action=txlistinternal
Get a List of Internal Transactions
curl --request GET \
  --url 'https://eth.blockscout.com/api/?module=account&action=txlistinternal'
import requests

url = "https://eth.blockscout.com/api/?module=account&action=txlistinternal"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/?module=account&action=txlistinternal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "<string>",
      "timeStamp": "<string>",
      "hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
      "from": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
      "to": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
      "value": "<string>",
      "contractAddress": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
      "input": "<string>",
      "gas": "<string>",
      "gasUsed": "<string>",
      "traceId": "<string>",
      "errCode": "<string>"
    }
  ]
}

Query Parameters

module
enum<string>
required

Module name (must be 'account')

Available options:
account
action
enum<string>
required
Available options:
txlistinternal
address
string

Address hash (optional, can use txhash instead) 40-character hexadecimal address hash with 0x prefix

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae"

txhash
string

Transaction hash (optional, can use address instead) 64-character hexadecimal transaction hash with 0x prefix

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

startblock
integer

Starting block number

endblock
integer

Ending block number

page
integer
default:1

Page number for pagination

Required range: x >= 1
offset
integer
default:10

Number of records to return per page (max 10000)

Required range: 1 <= x <= 10000
sort
enum<string>
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
include_zero_value
boolean

Include zero value transfers

Response

200 - application/json

Internal transactions retrieved successfully

status
enum<string>

Status code (1 = OK)

Available options:
1
message
string

Response message

Example:

"OK"

result
object[]